<!DOCTYPE html><html lang="de"><head><meta charset="utf-8" /><meta name="robots" content="noindex"><meta name="viewport" content="width=device-width, initial-scale=1"><title>Nachrichten</title><link rel="stylesheet" type="text/css" href="styles/main.css" /><link rel="stylesheet" type="text/css" href="styles/sites.css" /><link rel="apple-touch-icon" sizes="180x180" href="img/apple-touch-icon.png"><link rel="icon" type="image/png" sizes="32x32" href="img/favicon-32x32.png"><link rel="icon" type="image/png" sizes="16x16" href="img/favicon-16x16.png"><link rel="manifest" href="img/site.webmanifest"><link rel="mask-icon" href="img/safari-pinned-tab.svg" color="#5bbad5"><link rel="shortcut icon" href="img/favicon.ico"><meta name="apple-mobile-web-app-title" content="News"><meta name="application-name" content="News"><meta name="msapplication-TileColor" content="#636262"><meta name="msapplication-config" content="img/browserconfig.xml"><meta name="theme-color" content="#636262"></head><body><div class="wrapper"><?php

// Feed-URL des RSS-Feeds z.B. aus FreshRSS > Benutzerabfragen
$feed_url = '';

// In welcher Datei soll der Cache abgelegt werden?
$feedcache_path = __DIR__.'/cache.html';

// Wie alt in Sekunden darf der Cache sein? (1800 s entsprechen einer halben Stunde)
$feedcache_max_age = 900;

// Wie viele Einträge sollen angezeigt werden?
$max_entries = 100;

if(!file_exists($feedcache_path) or filemtime($feedcache_path) < (time() - $feedcache_max_age)) {
  $xml = simplexml_load_string(file_get_contents($feed_url));
  $output = '';
  $entries = $xml->channel->item;
  $counter = 0;
  $output .= '<ol>';
  
  foreach($entries as $root) {
    $counter++;
    // Ausgabe nach x Einträgen beenden:
    if($counter > $max_entries) {
      break;
    }
    $time = date('H:i', strtotime($root->pubDate));
    $date = date('d.m.y', strtotime($root->pubDate));
    // Anreißertext:
    //$description = strip_tags($root->description);
    $output .= '<li data-source="'.htmlspecialchars($root->link).'" class="title"><span class="date" title="'.htmlspecialchars($date).'">'.htmlspecialchars($time).'</span> <a href="'.htmlspecialchars($root->link).'" target="_blank" rel="nofollow noopener noreferrer">'.htmlspecialchars($root->title).'</a></li>';
  }
  $output .= '</ol>';
  echo $output;
  file_put_contents($feedcache_path, $output);
} else {
  echo file_get_contents($feedcache_path);
}
?></div></body></html>